Bug 105919 - rpm installation failed (after update gcc)
rpm installation failed (after update gcc)
Product: Red Hat Linux
Classification: Retired
Component: rpm (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Johnson
Mike McLean
Depends On:
  Show dependency treegraph
Reported: 2003-09-29 10:24 EDT by Fabrice
Modified: 2007-04-18 12:57 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-12-27 13:10:36 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Fabrice 2003-09-29 10:24:15 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 4.0; Hotbar

Description of problem:

For a additionnal program installation, I needed to update my gcc package. I do 
so, and everything run well a this step. But since this update, every time I 
needed to use the RPM program (for installation and/or update) for a package 
the system returned a message like : "segmentation fault (core dump)".
Only the rpm -qa (or -qal) work fine ....
To resolve that, I went on the bugzilla site to find a issue to my problem .... 
And I found some help, on of them told me to downlaod, on your site, a version 
4.1 and install it by the rpm2cpio tool.
I made the differents step without any problems (download, run the rpm2cpio 
command, etc), but the problem isn't corected and now, when I use "rpm -qa rpm" 
I have the version 4.03-1.03 and when I use the command "rpm --version" I have 
the 4.1 version.

What can I do to correct my problem and use the rpm binary correctly ?

Thank's for your help !!

Version-Release number of selected component (if applicable):
rpm-4.0.3-1.03 (distribution installation)

How reproducible:

Steps to Reproduce:
1. Install or update a package with the rpm binary

Additional info:
Comment 1 Jeff Johnson 2003-10-04 21:01:41 EDT
Try the following:
    rm -f /var/lib/rpm/__db*
    rpm --rebuilddb -vv
    rpm -qavv

Does that fix?
Comment 2 Fabrice 2003-10-06 04:17:06 EDT
I made it and I still can't use the RPM binary completly : I can request the db 
and see the list of differents packages installed on the server, but I can't 
update or install a new package (I didn't try to remove one) ....
Comment 3 Jeff Johnson 2003-10-09 11:34:57 EDT
What is the goal here, properly installing rpm-4.1
or reverting to rpm-4.0.x?
Comment 4 Fabrice 2003-10-10 02:50:48 EDT
I want to be alble to use properly the RPM binary. Nothing else ....
I don't mind of version just can use it correctly ...
Comment 5 Jeff Johnson 2003-10-13 22:58:13 EDT
OK, if you just need functional rpm, I suggest rpm-4.1.1 (although
rpm-4.1 is OK too).

So you have rpm-4.0.3 in the rpmdb, but rpm-4.1 in /bin/rpm.

Reinstall the rpm-4.1 (or better, rpm-4.1.1) pkgs using
    rpm -Uvh {rpm,popt}-*.rpm
That will correct the rpmdb entries. Don't forget popt, that's
built with rpm as well.

If the are dependency failures, than install the librpm404-4.0.5
packages, available at ftp://ftp.rpm.org/pub/rpm/dist/lib404.

Does that fix?
Comment 6 Fabrice 2003-10-29 03:08:04 EST

Sorry to be late but I was in hollidays ....

I can't try your solution because everytime I want to use the RPM binary, I 
have a message "segmentation fault" for installation, update or remove 
package !!
I haven't any possibilities to install a package with the RPM binary ....

Comment 7 Jeff Johnson 2003-12-27 13:10:36 EST
Reinstall using rpm2cpio or rpm2cpio.sh if necessary.

Assuming all rpm pkgs downloaded in /var/tmp, try
    mkdir /var/tmp/xxx
    cd /var/tmp/xxx
    for i in ../*.rpm; do
        /usr/lib/rpm/rpm2cpio.sh | cpio -dim
    find . -type d -exec chmod 755 {} \;
    tar cf - . | (cd /; tar xvf -)

Grab /usr/lib/rpm/rpm2cpio.sh from any working system if needed.
Comment 8 Fabrice 2003-12-29 03:07:43 EST

After your suggested update, the RPM binary prepare to install the 
package but steel failed to install.
Do it possible to remove completely the RPM installation (binary and 
lib) and to reinstall it. This way I will not have any previous 
version installed and so on be sure to have a correct install ?


Note You need to log in before you can comment on or make changes to this bug.